/*
 * mwDraw v1.0.0
 *
 * URL: http://blog.wantedlink.de
 * (c) 2015 Mario Wolf
 */

var mwDraw = function(options) {

	"use strict";

	var t = this;
	t.options = options || {}; // handle no arguments
	t.canvasID = t.options.canvasID || "main";

	t.field = null;
    t.canvas = null;
    t.ctx = null;		//canvas context 
    t.run = true;

	t.box01 = null;

	/*
		private constructor 
	*/
	var __construct = function() {
		t.canvas = document.getElementById(t.canvasID);
		t.canvas.width = 270;
        t.canvas.height = 270;
        t.ctx = t.canvas.getContext('2d');

		draw();
	}();
	

	/*
		draw
	*/
	function draw(){

		// Leonardo
		t.ctx.beginPath();
		t.ctx.fillStyle = '#3d824c';
		t.ctx.fillRect(40, 125, 30, 10);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#c83523';
		t.ctx.fillRect(40, 135, 30, 5);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#3d824c';
		t.ctx.fillRect(40, 140, 30, 15);	//	#t.x, t.y, t.width, t.height);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#db8538';
		t.ctx.fillRect(40, 155, 30, 35);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#3d824c';
		t.ctx.fillRect(40, 190, 30, 30);
		t.ctx.stroke();

		// Donatello
		t.ctx.beginPath();
		t.ctx.fillStyle = '#3d824c';
		t.ctx.fillRect(90, 125, 30, 10);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#3485d4';
		t.ctx.fillRect(90, 135, 30, 5);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#3d824c';
		t.ctx.fillRect(90, 140, 30, 15);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#db8538';
		t.ctx.fillRect(90, 155, 30, 35);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#3d824c';
		t.ctx.fillRect(90, 190, 30, 30);
		t.ctx.stroke();

		// Michelangelo
		t.ctx.beginPath();
		t.ctx.fillStyle = '#3d824c';
		t.ctx.fillRect(140, 125, 30, 10);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#ff6319';
		t.ctx.fillRect(140, 135, 30, 5);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#3d824c';
		t.ctx.fillRect(140, 140, 30, 15);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#db8538';
		t.ctx.fillRect(140, 155, 30, 35);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#3d824c';
		t.ctx.fillRect(140, 190, 30, 30);
		t.ctx.stroke();

		// Raphael
		t.ctx.beginPath();
		t.ctx.fillStyle = '#3d824c';
		t.ctx.fillRect(190, 125, 30, 10);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#8144cf';
		t.ctx.fillRect(190, 135, 30, 5);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#3d824c';
		t.ctx.fillRect(190, 140, 30, 15);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#db8538';
		t.ctx.fillRect(190, 155, 30, 35);
		t.ctx.stroke();

		t.ctx.beginPath();
		t.ctx.fillStyle = '#3d824c';
		t.ctx.fillRect(190, 190, 30, 30);
		t.ctx.stroke();		
	}

};